//フォームにカーソルがあたった場合の処理
$(function(){
  //入力フォームにカーソルがあたったら
  $('input,textarea').focus(function(){
    var counter = $(this).val().length; //フォーム内の文字数をカウントする
    sendmessage(counter); //background.jsに送信

    //入力したら
    $(this).keyup(function(){
      var counter = $(this).val().length; //フォーム内の文字数をカウントする
      sendmessage(counter); //background.jsに送信
    });

  //カーソルがはずれたら
  }).blur(function(){
    var counter = 0 ; //ゼロにする
    sendmessage(counter); //background.jsに送信
  });
});


//background.jsにcounterの数字を送信する関数を作る
function sendmessage(counter){ //counterを引数にもらう
  chrome.extension.sendMessage({
      textcount: counter //textcount（好きな名前で）という項目に変数でもらったcounterを入れる
  },
      function(response){
          console.debug(response.message);
      }
  );
}



